| Home | Libraries | People | FAQ | More

## Struct template has_pointer_plus_2_bits<void *, N>

boost::intrusive::has_pointer_plus_2_bits<void *,N>

## Synopsis

    template<std::size_t N>
    struct has_pointer_plus_2_bits<void *, N> {
      static const bool value;
    };

## Description

This is an specialization for raw pointers. Raw pointers can embed two extra bits in the lower bits if the alignment is multiple of 4.